<?php
require_once('autoload.include.php') ;

/**
 *  Agrgateur RSS nourri  partir de fichiers OPML
 */
class AgregateurOPML extends AgregateurRSS {
    /**
     * Charger les flux d'un fichiers OPML
     * @param $fichier le nom du fichier  charger
     * @throws Exception quand le n'a pu tre charg
     */
    public function charger($fichier) {
        $DOMDoc = new DOMDocument() ;
        if (@$DOMDoc->load($fichier)) {
            // Recherche des items
            $outline = $DOMDoc->getElementsByTagName('outline') ;
            // Parcours des items
            foreach ($outline as $o) {
                $this->ajouterFlux($o->getAttribute('xmlUrl')) ;
            }
        }
        else {
            throw new Exception("Le fichier OPML '{$fichier} n'a pu tre charg") ;
        }
    }
}

