<?php

// Niveau d'erreur maximal pour dvelopper
error_reporting(E_ALL | E_STRICT) ;

/** Tentative de chargement magique du fichier contenant la classe non dfinie
 * @param string $className Nom de la classe dont la dfinition manque
 *
 * @return void
 */
function __autoload($className) {
    // Nom du fichier = nom_de_la_classe.class.php
    $fichier = strToLower($className).'.class.php' ;
    // Existe ?
    if (file_exists($fichier))
        // Oui : l'inclure
        require_once($fichier) ;
    // Pour tre compatible avec le systme de gestion des corrections
    if (file_exists('../' . $fichier))
        // Oui : l'inclure
        require_once($fichier) ;
}